package com.ruoyi.biz.domain;

import com.baomidou.mybatisplus.annotation.*;
import com.ruoyi.common.core.validate.AddGroup;
import com.ruoyi.common.core.validate.EditGroup;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;

import com.ruoyi.common.core.domain.BaseEntity;

import javax.validation.constraints.NotBlank;

/**
 * 相册对象 ar_file_image
 *
 * @author gwd
 * @date 2023-07-11
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("ar_file_image")
public class ArFileImage extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     *
     */
    @TableId(value = "id")
    private Long id;
    /**
     * ossId
     */
    private Long ossId;
    /**
     * userId
     */
    private Long userId;
    /**
     * 地址
     */
    private String url;
    /**
     * 类型：1.照片，2.视频
     */
    private Integer type;
    /**
     * 删除标志（0代表存在 2代表删除）
     */
    @TableLogic
    private Long delFlag;

}
