package com.ruoyi.biz.domain;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;

import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 分类对象 ar_classification
 *
 * @author gwd
 * @date 2023-11-10
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("ar_classification")
public class ArClassification extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * id
     */
    @TableId(value = "id")
    private Long id;
    /**
     * 分类名
     */
    private String name;
    /**
     * 父级id
     */
    private Long parentId;
    /**
     * 分类地址
     */
    private String urlHref;
    /**
     * 图片地址
     */
    private String urlImage;
    /**
     * 删除标志（0代表存在 2代表删除）
     */
    @TableLogic
    private Long delFlag;

}
