package com.ruoyi.biz.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.ruoyi.common.annotation.ExcelDictFormat;
import com.ruoyi.common.convert.ExcelDictConvert;
import lombok.Data;
import java.util.Date;



/**
 * 展示图视图对象 ar_file_index
 *
 * @author gwd
 * @date 2023-11-10
 */
@Data
@ExcelIgnoreUnannotated
public class ArFileIndexVo {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @ExcelProperty(value = "id")
    private Long id;

    /**
     * ossId
     */
    @ExcelProperty(value = "ossId")
    private Long ossId;

    /**
     * 地址
     */
    @ExcelProperty(value = "地址")
    private String url;

    /**
     * 类型：1.照片，2.视频
     */
    @ExcelProperty(value = "类型：1.照片，2.视频")
    private Long type;


}
